Skip to main content
GET
/
documents
List documents
curl --request GET \
  --url https://api.vocobase.com/api/v2/documents \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "documents": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "description": "<string>",
        "type": "pdf",
        "status": "uploading",
        "file_size": 123,
        "mime_type": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "agent_count": 123
      }
    ],
    "total": 123,
    "limit": 123,
    "offset": 123
  }
}

Authorizations

Authorization
string
header
required

API key in format: rg_live_xxxx. Pass as a Bearer token in the Authorization header.

Query Parameters

limit
integer
default:10

Number of documents to return.

Required range: 1 <= x <= 100
offset
integer
default:0

Number of documents to skip.

Required range: x >= 0

Response

List of documents.

success
boolean
data
object